/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

/**
 * Array of global settings.
 */
var SETTINGS = {
    server: "http://localhost/terranquest/api",
    signup_url: "http://localhost/accounthub/signup/",
    terms_of_service_url: "https://netsyms.com/legal?pk_campaign=TerranQuestApp",
    map_style_json: "https://maps.netsyms.net/styles/terranquest-3d/style.json",
    map_pbf_url: "https://maps.netsyms.net/data/v3/{z}/{x}/{y}.pbf",
    stripe_pubkey: "",
    munzee_url: "",
    munzee_clientkey: "",
    teams: {
        1: {id: 1, name: "Water", icon: "fas fa-tint", color: "blue", textcolor: "black", hue: 230},
        2: {id: 2, name: "Fire", icon: "fas fa-fire", color: "red", textcolor: "black", hue: 0},
        3: {id: 3, name: "Earth", icon: "fas fa-mountain", color: "green", textcolor: "black", hue: 130},
        4: {id: 4, name: "Wind", icon: "fas fa-wind", color: "lightblue", textcolor: "black", hue: 180},
        5: {id: 5, name: "Light", icon: "fas fa-sun", color: "yellow", textcolor: "black", hue: 60},
        6: {id: 6, name: "Dark", icon: "fas fa-moon", color: "deeppurple", textcolor: "white", hue: 265}
    },
    download_links: {
        android: {
            '<i class="fas fa-download"></i> F-Droid Repository': "https://repo.netsyms.com",
            '<i class="fa fafab fa-android"></i> APK File': "https://repo.netsyms.com/fdroid/TerranQuest.apk",
            '<i class="fa fafab fa-google-play"></i> Google Play': "https://play.google.com/store/apps/details?id=com.netsyms.terranquest.TerranQuest"
        },
        nwjs: {
            '<i class="fa fafab fa-ubuntu"></i> Ubuntu/Debian': "https://repo.netsyms.com",
            '<i class="fas fa-download"></i> Other Platforms': "https://build.netsyms.net/job/TerranQuest/"
        }
    }
};